Main Page Alphabetical List Compound List File List Compound Members Related Pages

# IEpair Class Reference

Virtual class to allow plugin operations on entity pairs. More...

List of all members.

## Public Methods

virtual void | IncRef ()=0
| Increment the number of references to this object. More...
virtual void | DecRef ()=0
| Decrement the reference count. More...
virtual void | GetVectorForKey (char *key, vec3_t vec)=0
| Get a vector from a key. More...
virtual float | FloatForKey (char *key)=0
| Get a float from a key. More...
virtual char* | ValueForKey (char *key)=0
| Get a string (char *) from a key. More...
virtual void | SetKeyValue (char *key, char *value)=0
| Set a key value to char *value. More...
virtual void | GetEntityOrigin (vec3_t vec)=0
| Get a vec3_t for the entities origin. More...
virtual void | CalculateRotatedBounds (vec3_t mins, vec3_t maxs)=0
| Compute the rotated bounds of the BBox based on "angle" and "angles" keys. More...

## Detailed Description

Virtual class to allow plugin operations on entity pairs.

Todo:
  Write more complete documentation for this class so that it's use is clear

An interface to entity keys and key pairs that allows plugins to; read and write entity keys and key values, get a key value as a vec3_t

Definition at line 10 of file iepairs.h.

## Member Function Documentation

void IEpair::CalculateRotatedBounds ( | vec3_t mins,
| vec3_t maxs )`[pure virtual]`

| Compute the rotated bounds of the BBox based on "angle" and "angles" keys.

void IEpair::DecRef ( | )`[pure virtual]`

| Decrement the reference count.

float IEpair::FloatForKey ( | char * key )`[pure virtual]`

| Get a float from a key.

void IEpair::GetEntityOrigin ( | vec3_t vec )`[pure virtual]`

| Get a vec3_t for the entities origin.

void IEpair::GetVectorForKey ( | char * key,
| vec3_t vec )`[pure virtual]`

| Get a vector from a key.

void IEpair::IncRef ( | )`[pure virtual]`

| Increment the number of references to this object.

void IEpair::SetKeyValue ( | char * key,
| char * value )`[pure virtual]`

Set a key value to char *value.

Parameters:

  key | The (char *) containing the keyname
  value | The (char *) to set the key value to

char * IEpair::ValueForKey ( | char * key )`[pure virtual]`

| Get a string (char *) from a key.

The documentation for this class was generated from the following file:

- iepairs.h

Documentation generated by : Doxygen 1.2.8.1 on 11 Aug 2001 | ttimo@idsoftware.com